Switch back to the upsteam image_optim
authorTom Hughes <tom@compton.nu>
Sat, 21 Nov 2015 16:21:30 +0000 (16:21 +0000)
committerTom Hughes <tom@compton.nu>
Sat, 21 Nov 2015 16:21:30 +0000 (16:21 +0000)
Gemfile
Gemfile.lock

diff --git a/Gemfile b/Gemfile
index 05b93759bff791a28a39eb893f782744fd1ef464..8f81ab3ec943e7b46bbd6eea9cb15eb374e93179 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -38,7 +38,7 @@ gem "r2"
 gem "autoprefixer-rails"
 
 # Use image_optim to optimise images
-gem "openstreetmap-image_optim", ">= 0.21.0.1", :require => "image_optim"
+gem "image_optim", ">= 0.22.0"
 
 # Load rails plugins
 gem "rails-i18n", "~> 4.0.0"
index e8bdc11d4d2fd5c691557f41683c699f5d477d0e..18015c244f9d307ce8ed5dd7d2328fe32cdb2a75 100644 (file)
@@ -58,7 +58,7 @@ GEM
     climate_control (0.0.3)
       activesupport (>= 3.0)
     cliver (0.3.2)
-    cocaine (0.5.7)
+    cocaine (0.5.8)
       climate_control (>= 0.0.3, < 1.0)
     coffee-rails (4.1.0)
       coffee-script (>= 2.2.0)
@@ -101,6 +101,12 @@ GEM
     i18n (0.7.0)
     i18n-js (3.0.0.rc11)
       i18n (~> 0.6)
+    image_optim (0.22.0)
+      exifr (~> 1.2, >= 1.2.2)
+      fspath (~> 2.1)
+      image_size (~> 1.3)
+      in_threads (~> 1.3)
+      progress (~> 3.0, >= 3.0.1)
     image_size (1.4.1)
     in_threads (1.3.1)
     jquery-rails (4.0.5)
@@ -138,7 +144,7 @@ GEM
       nokogiri (>= 1.5.9)
     mail (2.6.3)
       mime-types (>= 1.16, < 3)
-    mime-types (2.6.2)
+    mime-types (2.99)
     mimemagic (0.3.0)
     mini_portile (0.6.2)
     minitest (5.8.3)
@@ -182,12 +188,6 @@ GEM
     omniauth-windowslive (0.0.9.1)
       multi_json (>= 1.0.3)
       omniauth-oauth2 (~> 1.0)
-    openstreetmap-image_optim (0.21.0.1)
-      exifr (~> 1.2, >= 1.2.2)
-      fspath (~> 2.1)
-      image_size (~> 1.3)
-      in_threads (~> 1.3)
-      progress (~> 3.0, >= 3.0.1)
     paperclip (4.3.2)
       activemodel (>= 3.2.0)
       activesupport (>= 3.2.0)
@@ -205,7 +205,7 @@ GEM
     powerpack (0.1.1)
     progress (3.1.0)
     psych (2.0.15)
-    r2 (0.2.5)
+    r2 (0.2.6)
     rack (1.6.4)
     rack-cors (0.4.0)
     rack-openid (1.3.1)
@@ -232,7 +232,7 @@ GEM
       rails-deprecated_sanitizer (>= 1.0.1)
     rails-html-sanitizer (1.0.2)
       loofah (~> 2.0)
-    rails-i18n (4.0.6)
+    rails-i18n (4.0.7)
       i18n (~> 0.7)
       railties (~> 4.0)
     railties (4.2.5)
@@ -328,6 +328,7 @@ DEPENDENCIES
   http_accept_language (~> 2.0.0)
   httpclient
   i18n-js (>= 3.0.0.rc10)
+  image_optim (>= 0.22.0)
   jquery-rails
   jshint
   json
@@ -343,7 +344,6 @@ DEPENDENCIES
   omniauth-google-oauth2 (>= 0.2.7)
   omniauth-openid
   omniauth-windowslive
-  openstreetmap-image_optim (>= 0.21.0.1)
   paperclip (~> 4.0)
   pg
   poltergeist